<include src="{{LISTBOX_PATH}}listbox.html" />

<webbox id="edit_project">
  <if condition="'{{mode}}'=='add'">
    <h2>Add New Project</h2>
  </if>

  <if condition="'{{mode}}'!='add'">
    <h2>Edit Project: 
      <a href="{{url1}}" target="_blank">{{proj_name}} ({{proj_id}})</a>
    </h2>
  </if>

  <form name="edit_project" onsubmit="return false;">
  <table cellspacing="1" cellpadding="2" bgcolor="#dddddd">
    <tr>
      <td bgcolor="eeeeee">Project ID:</td>
      <td bgcolor="#ffffff">
        <if condition="'{{mode}}'=='add'">
          <input type="text" size="30" name="proj_id" value="{{proj_id}}"
                 onfocus="select()" />
        </if>
        <if condition="'{{mode}}'!='add'">
          {{edit_project->proj_id}}
        </if>
      </td>
    </tr>
    <tr>
      <td bgcolor="eeeeee">Project Name:</td>
      <td bgcolor="#ffffff">
        <input type="text" size="70" name="proj_name" value="{{proj_name}}"
               onfocus="select()" />
      </td>
    </tr>
    <tr>
      <td bgcolor="eeeeee">URL1:</td>
      <td bgcolor="#ffffff">
        <input type="text" size="70" name="url1" value="{{url1}}"
               onfocus="select()" />
      </td>
    </tr>
    <tr>
      <td bgcolor="eeeeee">URL2:</td>
      <td bgcolor="#ffffff">
        <input type="text" size="70" name="url2" value="{{url2}}"
               onfocus="select()" />
      </td>
    </tr>
    <tr>
      <td bgcolor="eeeeee">License:</td>
      <td bgcolor="#ffffff">
        <webobject class="listbox" name="license" value="{{license}}" />
      </td>
    </tr>
    <tr>
      <td bgcolor="eeeeee">Language:</td>
      <td bgcolor="#ffffff">
        <webobject class="listbox" name="prog_lang" value="{{prog_lang}}" />
      </td>
    </tr>
    <tr>
      <td bgcolor="eeeeee">Category:</td>
      <td bgcolor="#ffffff">
        <webobject class="listbox" name="category" value="{{category}}" />
      </td>
    </tr>
    <tr>
      <td bgcolor="eeeeee">Members:</td>
      <td bgcolor="#ffffff">
        <input type="text" size="70" name="members" value="{{members}}"
               onfocus="select()" />
      </td>
    </tr>
    <tr>
      <td bgcolor="eeeeee">Description:</td>
      <td bgcolor="#ffffff">
        <textarea name="proj_descr" cols="70" rows="4" onfocus="select()">{{proj_descr}}</textarea>
      </td>
    </tr>
  </table>
  </form>
  <br />

  <if condition="'{{mode}}'=='add'">
    <a class="button" href="javascript:add_project()">Add</a>
    <a class="button" href="javascript:cancel_adding()">Cancel</a>
  </if>
  <if condition="'{{mode}}'=='edit'">
    <a class="button" href="javascript:save_project()">Save</a>
    <a class="button" href="javascript:done_editing()">Done</a>
  </if>
  <if condition="('{{mode}}'=='done' and '{{ADMIN}}'=='true')">
    <a class="button" href="javascript:add_new_project()">
      Add Another Project
    </a>
  </if>
  <if condition="(('{{ADMIN}}'=='true') and ('{{mode}}'=='edit'))">
    <script language="javascript" src="{{./}}edit_project_adm.js"></script>
    <a class="button" href="javascript:send_to_user()">
      Give Editing Rights to a User
    </a>
  </if>

  <hr />
</webbox>
